## lava 2019.01

=== requirements.txt ===
# DO NOT EDIT
# content is managed via ./share/requires.py
# Installing LAVA directly from git is NOT supported.

=== debian/changelog ===
lava (2019.01-5) unstable; urgency=medium

  [ Steve McIntyre ]
  * Clean up obsolete conffiles causing piuparts failures.
    Closes: #925353

  [ Neil Williams ]
  * Remove GitLab support due to Docker limits

 -- Steve McIntyre <93sam@debian.org>  Sun, 31 Mar 2019 14:42:16 +0700

lava (2019.01-4) unstable; urgency=medium

  * Include 3 patches from upstream.
    Fix a typo in links from results in test job log files
    Fix HTTP 500 on REST API Junit call.
    Fix crash with older python3-tap versions.

 -- Neil Williams <codehelp@debian.org>  Mon, 04 Feb 2019 12:50:12 +0000

lava (2019.01-3) unstable; urgency=medium

  * Fix missing dependency in autopkgtest

 -- Neil Williams <codehelp@debian.org>  Mon, 28 Jan 2019 15:38:22 +0000

lava (2019.01-2) unstable; urgency=medium

  * Fix missing change for autopkgtest support

 -- Neil Williams <codehelp@debian.org>  Fri, 25 Jan 2019 15:06:40 +0000

lava (2019.01-1) unstable; urgency=medium

  * 2019.01-1 LAVA Software 2019.01 release
    ec7875b05 Enhance the Docker admin documentation
    ffe2c0751 Build architecture aware docker images
    e0c651aae Update docs for development changes
    c0eeb4b28 schema: allow for namespaces with interactive tests
    aa94f3ac4 Allow to set uboot_needs_interrupt in the device dict
    79fb10a12 Fix debian installer deploy method
    8b6b53be0 Allow to set fastboot deploy uboot commands
    3975eb4f4 doc: add documentation about x15-bl device-type
    b87dc6816 scheduler: add x15-bl device type
    5d8227c91 scheduler: add recovery support for base-uboot.jinja2
    4ddd44ad6 Tweak the development process doc
    2bbf5c6e5 Update git repository links
    1a9f51494 Drop bashism in vland helper scripts
    7ebb3feab Retrieve the vland version in the protocol
    f2f933399 Improve docs on health check setup actions
    1e596b6ff Improve server|logs|publisher command line parser
    68dd8ff79 device-types: allow to set boot_character_delay in device dict
    92fa46213 scheduler: randomise the device list
    c0c3eb0ef lava-modules.conf should be in /etc/modprobe.d/
    2412366c9 Fix sample jobs timeouts
    68edafac9 CI: install minicom for mps2plus tests
    f3cbdac58 Add lava-server manage command for site
    cc16e4b38 mps2: fix validation and documentation
    32d18fa3b device-types: add rzn1 template
    7a992201c device-types: qemu: Add support for MIPS/PPC/PPC64
    e114b354e qemu: Remove root_partition from sample jobs
    407d857f9 Fix sample job syntax
    049eb5afc sample jobs: move kernel type to the deploy action
    25f37dc62 vemsd: recovery_image is mandatory
    596aa3b29 Enforce realpath for which check
    68b8e54b1 doc: add information about SQUAD to custom-results-handling
    1282c4a25 Remove leftover from py2 to py3 conversion
    dd76f0797 Add voluptuous to lava-common dependencies
    8041e1012 Rework interactive test
    f6bb9de2f Improve job page rendering with large jobs
    e9fa46977 Improve schema validator and move to lava_common
    f116ef3af Add check-devices.py to lava-dev
    02e4d9e88 Fix sample jobs syntax
    b4d84f82f Drop default patterns and fixup dicts
    9fbcca0e4 Separate device and device-type as distinct types
    fb4d5785e Action: name is a class variable
    e990310e0 Remove deprecated functions since django 1.9
    eb25d433e Reorder middlewares according to django default config
    ebf17cbe6 Remove deprecated module
    8a317b0b2 Record JobError in validate()
    3bc657e7b Fix sample jobs syntax
    b7eb162a1 Ensure lxc-templates is installed
    a3524ce9a Expand minimal configuration for connections
    ef2fa8594 Results table: decrease the number of sql queries
    4df8e8464 Handle downloads using "Content-Encoding: gzip"
    f37c03159 Move sample job to the right directory
    37a2fe7fa Remove "connection" from job definition
    d70e2623c Add checks for the connection type
    5260ae1b9 doc: fix broken links
    33918bcb4 Update ./ci-run for lava_common/tests change
    5af8543b1 Simplify docker boot command line build
    f6be3692c Update emphasis lines of literalinclude blocks
    da1d472b5 Fix problems with the purge maintainer script
    28afc08eb Remove add-header mentions
    832fb942b Use render() shortcut
    7ef4ac466 Fix bandit warnings after black formatting
    d483d94a5 Make flasher deploy retriable
    7f3e23ee1 Do not add yaml_line to the job definition
    c76620a55 sample jobs: remove mkimage_arch
    5be4be588 Move test_info to the job level
    9eb721166 'nfs_url' option does not exist anymore
    7c347e04e Fix the increased SAST count from formatting changes
    017285ce5 Remove outdated README file
    b471ee62f Unify test directory name
    46f298251 fix prospector warnings
    f7973476b Final black changes for lava_dispatcher
    6cae9e765 CI: fix black check
    816a47b9b Fix typo in check-devices error message
    bc844be5c Apply black to lava_dispatcher
    40e6a25f8 Apply black to lava/
    93a70fcfc Update restore instructions
    4ef3b776a Test repeat fix
    01432ba06 Convert test_repeat to pytest
    f9e782cc8 Fix repeat logic
    72d563661 Update advice on restoring backups
    bee7cc6da Update documentation example to use correct syntax
    71276203a Fix inline example test job indent error
    3d8cd9e88 Advise on upgrading python dependencies
    e22dbf0c3 Fix states in maintenance.py
    2cf6b51ab interactive: allow to only wait, not sending any command
    bfb7cb47c Fix test stages computation when mixing test types
    8bdc42ef3 Make StdoutTestCase.pipeline_reference a class method
    989b21688 Search the queue by requested_device_type
    32a4c821b notification: protect against potential crashes
    b7254aec6 XMLRPC-API: decrease the number of sql requests
    e65cfdc09 device-types: qemu: Add support for SPARC/SPARC64/MIPS64
    ade4b7e0c Apply black to lava_scheduler_app
    95aa92f9f Apply black to doc/
    54c18a449 Apply black to share/, setup.py and version.py
    c74c15d06 Simplify black listing


=== debian/control ===
Source: lava
Section: net
Priority: optional
Maintainer: Debian LAVA team <pkg-linaro-lava-devel@lists.alioth.debian.org>
Uploaders: Neil Williams <codehelp@debian.org>, Steve McIntyre <93sam@debian.org>
Build-Depends:
 debhelper (>= 9.20160709), dh-python, po-debconf,
 python3, python3-sphinx (>= 1.4), python3-setuptools (>= 3),
 python3-yaml, python3-sphinx-bootstrap-theme,
 node-uglify, libjs-excanvas, libjs-jquery-cookie, libjs-jquery,
 libjs-jquery-watermark, libjs-jquery-flot (>= 0.8.2),
 libjs-jquery-typeahead, libjs-jquery-ui
X-Python3-Version: >=3.5
Standards-Version: 4.2.1
Homepage: https://www.lavasoftware.org/
Vcs-Git: https://git.lavasoftware.org/lava/pkg-lava-debian.git
Vcs-Browser: https://git.lavasoftware.org/lava/pkg-lava-debian

Package: lava-dispatcher
Architecture: amd64 arm64 armhf i386 ppc64el s390x ppc64
Depends: file, systemd-sysv, python3-setuptools,
 lava-common (>= ${source:Version}), tar (>= 1.27),
 ${python3:Depends}, ${misc:Depends}
Multi-Arch: foreign
Recommends: ntp, git, tftpd-hpa, openbsd-inetd, ser2net,
 telnet, qemu-system-x86 (>= 2.8.0) [amd64 i386],
 qemu-system-arm (>= 2.8.0) [amd64 armhf arm64],
 libguestfs-tools (>= 1.32.7) [amd64 i386], nfs-kernel-server, rpcbind,
 u-boot-tools, unzip, xz-utils, lxc (>= 1:2.0.7), lxc-templates, sudo,
 debootstrap (>= 1.0.86), bridge-utils, rsync, dfu-util
Suggests: apache2, bzr, img2simg, simg2img, docker.io
Description: Linaro Automated Validation Architecture dispatcher
 LAVA is a continuous integration system for deploying operating
 systems onto physical and virtual hardware for running tests.
 Tests can be simple boot testing, bootloader testing and system
 level testing, although extra hardware may be required for some
 system tests. Results are tracked over time and data can be
 exported for further analysis.
 .
 This package provides lava-dispatcher to dispatch
 LAVA jobs to configured devices, for Python3 only.
 .
 A range of devices are supported for ARM and
 x86 architectures.

Package: lava-server
Architecture: all
Pre-Depends: debconf | debconf-2.0
Depends: apache2, adduser, gunicorn3, iproute2, python3-setuptools,
 libjs-excanvas, libjs-jquery-cookie, libjs-jquery, libjs-jquery-ui,
 libjs-jquery-watermark, libjs-jquery-flot (>= 0.8.2),
 libjs-jquery-typeahead, systemd-sysv,
 postgresql, postgresql-client, postgresql-common,
 lava-common (>= ${source:Version}), ${python3:Depends}, ${misc:Depends}
Recommends: ntp, openssh-client,
 lava-coordinator, lava-server-doc, lava-dispatcher,
Suggests: lavacli, python3-django-hijack, python3-django-debug-toolbar
Description: Linaro Automated Validation Architecture server
 LAVA is a continuous integration system for deploying operating
 systems onto physical and virtual hardware for running tests.
 Tests can be simple boot testing, bootloader testing and system
 level testing. Extra hardware may be required for some
 system tests. Results are tracked over time and data can be
 exported for further analysis.
 .
 This package provides the Apache and WSGI configuration and LAVA
 support files to run the validation server on the local Apache
 instance as a lava-server virtual host as well as the scheduler
 and dispatcher.
 .
 This package no longer supports configuration as a
 remote worker and needs to be removed from existing workers.
 Workers must only install lava-dispatcher.
 .
 This package no longer supports Python2.

Package: lava-common
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: Linaro Automated Validation Architecture common
 LAVA is a continuous integration system for deploying operating
 systems onto physical and virtual hardware for running tests.
 Tests can be simple boot testing, bootloader testing and system
 level testing, although extra hardware may be required for some
 system tests. Results are tracked over time and data can be
 exported for further analysis.
 .
 This package contains common Python code to support lava-server
 and lava-dispatcher.

Package: lava
Architecture: all
Section: metapackages
Depends: lava-server (>= ${source:Version}), lava-server-doc,
 lava-dispatcher (>= ${source:Version}), lava-coordinator, lava-dev,
 lavacli, lavapdu-client, ntp | ntpdate, tftpd-hpa, sudo,
 telnet, debootstrap (>= 1.0.86~),
 openssh-client, lxc (>= 1:2.0.6), rsync, bridge-utils, ${misc:Depends}
Recommends: lavapdu-daemon, schroot, img2simg, simg2img, docker.io,
 python3-docker
Description: Linaro Automated Validation Architecture metapackage
 LAVA is a continuous integration system for deploying operating
 systems onto physical and virtual hardware for running tests.
 Tests can be simple boot testing, bootloader testing and system
 level testing, although extra hardware may be required for some
 system tests. Results are tracked over time and data can be
 exported for further analysis.
 .
 This metapackage brings in all LAVA components on a single
 machine. Some suggested packages may not be available for all
 architectures.

Package: lava-lxc-mocker
Architecture: all
Depends: ${misc:Depends}
Conflicts: lxc
Provides: lxc
Replaces: lxc
Description: Linaro Automated Validation Architecture LXC Mocker
 LAVA is a continuous integration system for deploying operating
 systems onto physical and virtual hardware for running tests.
 Tests can be simple boot testing, bootloader testing and system
 level testing, although extra hardware may be required for some
 system tests. Results are tracked over time and data can be
 exported for further analysis.
 .
 This package contains set of mocker scripts that mocks each of
 the lxc commands that LAVA uses. It does not support all commands
 and options that lxc provides, but just the ones that LAVA uses.
 Test jobs using LXC can then be replicated in Docker.

Package: lava-dev
Architecture: all
Section: devel
Depends: build-essential, ca-certificates, devscripts, dpkg-dev,
 debootstrap (>= 1.0.86), debhelper (>= 9.20160709), dh-python,
 fakeroot, git, libdistro-info-perl, node-uglify, libjs-excanvas,
 libjs-jquery-cookie, libjs-jquery, libjs-jquery-watermark,
 libjs-jquery-flot (>= 0.8.2), libjs-jquery-ui, python3:any,
 python3-setuptools, python3-dateutil, python3-guestfs, python3-nose,
 python3-netifaces, python3-pexpect (>= 4.2), pep8 | python3-pep8,
 python3-guestfs, python3-netifaces, python3-magic,
 python3-sphinx (>= 1.4), python3-sphinx-bootstrap-theme, python3-requests,
 python3-zmq, python3-yaml, python3-voluptuous (>= 0.8.8), python3-tz,
 python3-pytest, python3-pytest-django,
 python3-configobj, python3-pyudev, docbook-xsl, xsltproc,
 ${python3:Depends}, ${misc:Depends}
Recommends: sbuild, python3-django-extensions, python3-pydot,
 python3-pytest-cov, python3-django-testscenarios, nfs-kernel-server,
 lxc, tftpd-hpa, rpcbind, u-boot-tools, telnet, img2simg, simg2img
Suggests: python3-bandit, black, radon
Description: Linaro Automated Validation Architecture developer support
 LAVA is a continuous integration system for deploying operating
 systems onto physical and virtual hardware for running tests.
 .
 This package provides a helper script to build LAVA packages
 from local git working copies and support for running the
 LAVA unit tests locally, using Python3.

Package: lava-server-doc
Architecture: all
Section: doc
Depends: ${sphinxdoc:Depends}, ${misc:Depends}
Description: Linaro Automated Validation Architecture documentation
 LAVA is a continuous integration system for deploying operating
 systems onto physical and virtual hardware for running tests.
 Tests can be simple boot testing, bootloader testing and system
 level testing, although extra hardware may be required for some
 system tests. Results are tracked over time and data can be
 exported for further analysis.
 .
 This package contains an offline copy of the LAVA
 Manual which is also available on each instance running LAVA
 server.
 .
  - an overview of LAVA
  - help on installing and configuring LAVA
  - test developer guide to writing LAVA tests
  - use cases and examples
  - administrator guide for managing a LAVA lab
  - developer guide

=== debian/tests/control ===
Tests: testsuite
Depends: lava-server, lava-common, lava-dispatcher, @builddeps@,
 python3-testscenarios, pep8, git, telnet, qemu-system-x86,
 dh-python, python3-sphinx (>= 1.4), python3-setuptools (>= 3), python3-yaml,
 nfs-kernel-server, u-boot-tools, iproute2, tftpd-hpa, python3-pytest,
 schroot, lxc, lava-server, python3-django-testscenarios, python3-tz,
 tftpd-hpa, git, qemu-system-x86, nfs-kernel-server, u-boot-tools
Restrictions: allow-stderr, needs-root

## lava 2019.10

=== doc/v2/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    = -n -j 4
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

check:
	@if (find . -name '*.rst' | xargs grep -E '\.\.[a-z]+:'); then \
		echo broken sphinx directive\(s\) found - see above ; \
		false ; \
	else \
		true; \
	fi

clean:
	-rm -rf $(BUILDDIR)/*

html: check
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/LavaDispatcher.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/LavaDispatcher.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/LavaDispatcher"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/LavaDispatcher"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
lava (2019.10-1) unstable; urgency=medium

  * LAVA Software 2019.10 release
    557ab2abf Add unit tests for TestJob can_resubmit method.
    08e15334e lava_server: load local settings if available
    ec30dbf60 lava_server: add compatibility layer against renames
    4d0c47cd6 lava_scheduler_app: fix usage of User.is_authenticated
    c6eac7ad2 lava_server: drop pointless if
    2763292c6 lava_scheduler_app: don't add view permissions on Django 2
    429c60e36 lava_server: fix default development branding dimensions
    0f0b9fd36 lava_server: relax security-related settings for local development
    54960a290 lava_server: admin: customize titles
    a4aa03f02 doc: clarify usage of connection-namespace
    b5325a2e3 device-types: Add more uboot error messages
    f231d80ee devce-type: Fix meson-g12a-sei510
    c1c8e22ea Fix authorization API errors and add unit tests.
    2a8b19674 lava-slave: accept slave dir as an option
    cc58ec37b lava-slave: use absolute path to lava-run
    3e8f45ec4 scheduler, server: drop hardcoded device types path
    a47517522 server: drop hardcoded usage of devices directory
    cb0e1c1f7 settings.development: use device type configuration from source tree
    dcceb98e3 Procfile: run all processes locally
    215904362 doc: fix hangout link for the design meeting
    549d97cac Add documentation file for new authorization model.
    5b6c32814 docker: upgrade sentry-sdk to 0.11.2
    9a048b1bf Remove deprecated support for json job definition
    41924cf27 CI: fix failure when the yaml default format change
    935c4e221 Reintroduce 'cancel_resubmit_testjob' permission.
    857f011db services/docker: allow to set lava-master --event-url
    4fd207886 Remove dependency on dateutil
    813ed5544 lava-server manage commands: port to Django 2
    c981d0753 lava-server manage users: in csv, print the fullname
    ad9140324 Port management commands to Django 2
    f2b863ba4 development settings: use local directory for health-checks
    978b4fcb7 dev settings: remove references to "precious" directory
    d62f5fd6a lava_common: fix license headers
    45d2120e5 device-type: Add meson-g12b-a311d-khadas-vim3
    82752014f Add debian/bullseye requirements
    07f3bbcba Move django related functions to lava_server.compat
    f4fd43adb yaml.load: add a compatibility layer to always use the best available loader
    067a01726 Move the lava.utils module into lava_server
    7bba79ba0 Show users in group admin.
    297be49da device-type: Add hifive-unleashed-a00
    324746e82 device-types: add two olimex-lime boards
    dad61da61 Fix bulk cancel of test jobs in admin.
    ba0288cae scheduler.jobs.show: fix missing value after 2019.09
    8455b55f2 docker: do not ask for input while migrating
    dfd9de33d debian: lava-common should have the exact same version
    3cf3e95eb Remove dependency on nose
    9b97254d5 Fix crash when viewing job results
    8df38a2dc Use pexpect to run subcommand in run_cmd
    fd752d865 lava-master: decode error messages before saving to db
    f198c92c1 command: raise an InfrastructureError on any errors
    794c817bf Reload gunicorn after log rotation
    535748f38 debian package: fix gunicorn dependency
    51fa0e164 Implement submit job endpoint for REST API.
    dd7d4772a jlink: new boot method
    f6b7dce19 lava_scheduler_app: frdm-k64f added jlink boot
    8cbc550ec Fix ba0288caed5d1
    6321d5acf is_valid: remove unused parameter
    609f7f451 pipeline references: set the flow style when dumping
    10e42eae2 Fix crash when raising PermissionDenied
    6b6cdf7ea qemu: fix a crash when context.arch is missing
    eb7e1b04f Update mount.py -  We've been seeing stale mounts for Juno and MPS2.
    c3c3946b2 Update vemsd.py to sync before un-mounting Do a sync for ve type devices before un-mounting
    f4276b0c7 devicedict: show an alert when the device dict is invalid
    46d9c5940 CI: use more pylint features
    7c362dafe Remove unused constructors
    84d01ada0 Fix more string issues found by pylint
    75c9d0f1d Update vemsd.py
    7103823a0 action.run_cmd: set the CWD
    3c366805c Remove global submit_testjob permission usage.
    157c82cb4 Allow 63MiB for the kernel image on imx6q-sabrelite
    30719cf73 remove_directory_contents: also remove hidden directories and files
    cb3332cb4 deploy.vemsd: raise InfrastructureError when failing
    3e8459d73 mps: allow to flash many binaries in on deploy action
    6cd532f4f mps: force a soft-reboot after unmount
    8d596e4b8 doc: add example of flashing multiple binaries
    4be6b5a73 mps: add unittest with multiple deploy
    51cb26028 deploy.mps: update the schema
    857aab0c9 mps: fix soft reboot action
    eec2579ef Mark every deploy.mps error as InfrastructureError
    064c002b3 Ignore exception raised by the django signal handlders
    9ba03fd90 doc: update outdated "job details" screenshot
    175c2678a device-types: add two new boards
    7449d64c3 timing: fix crash when the job log is invalid
    1bb9d1880 Fix connection handling with multiple namespaces
    1038f54c9 Remove unused build script
    a5eccb9f5 Remove unused actions
    94dc9a1af lava-master remove unused argument
    4df01d5b8 yaml: use the C version by default
    2e0f966c2 lava_dispatcher: jlink sample job
    1d30f48f2 device-type: mimxrt1050_evk
    814ecbd5d doc: remove mentions of the "repeat" keyword
    5ee716b16 Remove unittest using invalid job definition
    9bf0c919b job parser: remove references to the "repeat" keyword
    5a1da702f etc/dispatcher-config: DB845c Add remaining GPT partitions
    717547410 jlink: fix version check
    6bdc77d89 Fix bulk update of devices in admin.
    60cbe8429 etc/dispatcher-config: Dragonboards allow to override flash_cmds_order
    9621525fd lava_scheduler_app/tests/devices: Add cdt to flash_cmds_order in db410c's
    440961f07 Remove dependency to django-restricted-resource
    714c32b2f Fix REST api crashes with latest drf versions


=== debian/control ===
--- 
+++ 
@@ -2,14 +2,13 @@
 Section: net
 Priority: optional
 Maintainer: Debian LAVA team <pkg-linaro-lava-devel@lists.alioth.debian.org>
-Uploaders: Neil Williams <codehelp@debian.org>, Steve McIntyre <93sam@debian.org>
+Uploaders: Antonio Terceiro <antonio.terceiro@linaro.org>, Remi Duraffort <remi.duraffort@linaro.org>
 Build-Depends:
  debhelper (>= 9.20160709), dh-python, po-debconf,
  python3, python3-sphinx (>= 1.4), python3-setuptools (>= 3),
  python3-yaml, python3-sphinx-bootstrap-theme,
- node-uglify, libjs-excanvas, libjs-jquery-cookie, libjs-jquery,
- libjs-jquery-watermark, libjs-jquery-flot (>= 0.8.2),
- libjs-jquery-typeahead, libjs-jquery-ui
+ node-uglify, libjs-excanvas, libjs-jquery,
+ libjs-jquery-flot (>= 0.8.2), libjs-jquery-typeahead
 X-Python3-Version: >=3.5
 Standards-Version: 4.2.1
 Homepage: https://www.lavasoftware.org/
@@ -17,15 +16,14 @@
 Vcs-Browser: https://git.lavasoftware.org/lava/pkg-lava-debian
 
 Package: lava-dispatcher
-Architecture: amd64 arm64 armhf i386 ppc64el s390x ppc64
+Architecture: all
 Depends: file, systemd-sysv, python3-setuptools,
- lava-common (>= ${source:Version}), tar (>= 1.27),
+ lava-common (= ${binary:Version}), tar (>= 1.27),
  ${python3:Depends}, ${misc:Depends}
 Multi-Arch: foreign
 Recommends: ntp, git, tftpd-hpa, openbsd-inetd, ser2net,
- telnet, qemu-system-x86 (>= 2.8.0) [amd64 i386],
- qemu-system-arm (>= 2.8.0) [amd64 armhf arm64],
- libguestfs-tools (>= 1.32.7) [amd64 i386], nfs-kernel-server, rpcbind,
+ telnet, qemu-system-x86 (>= 2.8.0), qemu-system-arm (>= 2.8.0),
+ libguestfs-tools (>= 1.32.7), nfs-kernel-server, rpcbind,
  u-boot-tools, unzip, xz-utils, lxc (>= 1:2.0.7), lxc-templates, sudo,
  debootstrap (>= 1.0.86), bridge-utils, rsync, dfu-util
 Suggests: apache2, bzr, img2simg, simg2img, docker.io
@@ -46,15 +44,14 @@
 Package: lava-server
 Architecture: all
 Pre-Depends: debconf | debconf-2.0
-Depends: apache2, adduser, gunicorn3, iproute2, python3-setuptools,
- libjs-excanvas, libjs-jquery-cookie, libjs-jquery, libjs-jquery-ui,
- libjs-jquery-watermark, libjs-jquery-flot (>= 0.8.2),
- libjs-jquery-typeahead, systemd-sysv,
- postgresql, postgresql-client, postgresql-common,
- lava-common (>= ${source:Version}), ${python3:Depends}, ${misc:Depends}
+Depends: apache2, adduser, gunicorn (>= 19.9.0-4) | gunicorn3, iproute2, python3-setuptools,
+ libjs-excanvas, libjs-jquery, libjs-jquery-flot (>=0.8.2),
+ libjs-jquery-typeahead, systemd-sysv, postgresql,
+ postgresql-client, postgresql-common,
+ lava-common (= ${binary:Version}), ${python3:Depends}, ${misc:Depends}
 Recommends: ntp, openssh-client,
  lava-coordinator, lava-server-doc, lava-dispatcher,
-Suggests: lavacli, python3-django-hijack, python3-django-debug-toolbar
+Suggests: lavacli, python3-django-debug-toolbar
 Description: Linaro Automated Validation Architecture server
  LAVA is a continuous integration system for deploying operating
  systems onto physical and virtual hardware for running tests.
@@ -91,12 +88,12 @@
 Package: lava
 Architecture: all
 Section: metapackages
-Depends: lava-server (>= ${source:Version}), lava-server-doc,
- lava-dispatcher (>= ${source:Version}), lava-coordinator, lava-dev,
- lavacli, lavapdu-client, ntp | ntpdate, tftpd-hpa, sudo,
+Depends: lava-server (= ${binary:Version}), lava-server-doc,
+ lava-dispatcher (= ${binary:Version}), lava-coordinator, lava-dev,
+ lavacli, ntp | ntpdate | chrony, tftpd-hpa, sudo,
  telnet, debootstrap (>= 1.0.86~),
  openssh-client, lxc (>= 1:2.0.6), rsync, bridge-utils, ${misc:Depends}
-Recommends: lavapdu-daemon, schroot, img2simg, simg2img, docker.io,
+Recommends: schroot, img2simg, simg2img, docker.io,
  python3-docker
 Description: Linaro Automated Validation Architecture metapackage
  LAVA is a continuous integration system for deploying operating
@@ -135,10 +132,10 @@
 Depends: build-essential, ca-certificates, devscripts, dpkg-dev,
  debootstrap (>= 1.0.86), debhelper (>= 9.20160709), dh-python,
  fakeroot, git, libdistro-info-perl, node-uglify, libjs-excanvas,
- libjs-jquery-cookie, libjs-jquery, libjs-jquery-watermark,
- libjs-jquery-flot (>= 0.8.2), libjs-jquery-ui, python3:any,
- python3-setuptools, python3-dateutil, python3-guestfs, python3-nose,
- python3-netifaces, python3-pexpect (>= 4.2), pep8 | python3-pep8,
+ libjs-jquery, libjs-jquery-flot (>= 0.8.2), libjs-jquery-typeahead,
+ python3:any, python3-setuptools, python3-guestfs,
+ python3-netifaces,
+ python3-pexpect (>= 4.2), pep8 | python3-pep8,
  python3-guestfs, python3-netifaces, python3-magic,
  python3-sphinx (>= 1.4), python3-sphinx-bootstrap-theme, python3-requests,
  python3-zmq, python3-yaml, python3-voluptuous (>= 0.8.8), python3-tz,

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
#
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Prevent setuptools/distribute from accessing the internet.
export http_proxy = http://127.0.9.1:9

include /usr/share/dpkg/pkg-info.mk

export BUILD_DATE=$(shell LC_ALL=C date -u "+%B %d, %Y" -d @"$(SOURCE_DATE_EPOCH)")

# This has to be exported to make some magic below work.
export DH_OPTIONS

export PYBUILD_DISABLE_python3.3=test
export PYBUILD_DISABLE_python3.5=test
export PYBUILD_DISABLE_python3.6=test

PYTHONDIR=/usr/lib/python3/dist-packages/

PYTHON:=$(shell py3versions -r)
install_dir=$(call py_libdir, $(PYTHON))

%:
	dh $@ --with sphinxdoc,systemd,python3

override_dh_python3:
	./share/requires.py --distribution debian --suite $(DEB_DISTRIBUTION) --package lava-dispatcher > dispatcher-requirements.txt
	./share/requires.py --distribution debian --suite $(DEB_DISTRIBUTION) --package lava-server > server-requirements.txt
	./share/requires.py --distribution debian --suite $(DEB_DISTRIBUTION) --package lava-common > common-requirements.txt
	dh_python3 -p lava-dispatcher --shebang=/usr/bin/python3 --requires=dispatcher-requirements.txt
	dh_python3 -p lava-server --shebang=/usr/bin/python3 --requires=server-requirements.txt
	dh_python3 -p lava-common --shebang=/usr/bin/python3 --requires=common-requirements.txt

override_dh_auto_build:
	python3 setup.py build
	make -C man/ man SPHINXBUILD="/usr/share/sphinx/scripts/python3/sphinx-build" SPHINXOPTS="-D today=\"$(BUILD_DATE)\""
	make -C doc/v2/ html SPHINXBUILD="/usr/share/sphinx/scripts/python3/sphinx-build" SPHINXOPTS="-j 4 -D today=\"$(BUILD_DATE)\""
	$(RM) doc/v2/_build/html/objects.inv
	make -C man/ man SPHINXBUILD="/usr/share/sphinx/scripts/python3/sphinx-build" SPHINXOPTS="-j 4 -D today=\"$(BUILD_DATE)\""

override_dh_auto_install:
	find . -path '*/__pycache__/*' -delete
	find . -type d -name '__pycache__' -empty -delete
	dh_installman -plava-dispatcher man/_build/man/lava-run.1
	dh_installman -plava-dispatcher man/_build/man/lava-slave.8
	dh_installman -plava-lxc-mocker man/_build/man/lava-lxc-mocker.7
	dh_installman -plava-lxc-mocker man/_build/man/lxc-attach.1
	dh_installman -plava-lxc-mocker man/_build/man/lxc-create.1
	dh_installman -plava-lxc-mocker man/_build/man/lxc-destroy.1
	dh_installman -plava-lxc-mocker man/_build/man/lxc-device.1
	dh_installman -plava-lxc-mocker man/_build/man/lxc-info.1
	dh_installman -plava-lxc-mocker man/_build/man/lxc-start.1
	dh_installman -plava-lxc-mocker man/_build/man/lxc-stop.1
	python3 setup.py install --root=$(CURDIR)/debian/lava/ --install-layout=deb
	cp ./etc/lava-slave.service debian/
	dh_systemd_enable -p lava-dispatcher --name lava-slave
	dh_systemd_start -p lava-dispatcher --name lava-slave
	[ -f debian/lava-server/usr/bin/lava-server ] || mkdir -p debian/lava-server/usr/bin/; cp ./debian/lava/$(PYTHONDIR)/lava_server/manage.py debian/lava-server/usr/bin/lava-server; chmod a+x debian/lava-server/usr/bin/lava-server
	dh_installman -plava-server man/_build/man/lava-server.1
	# handle embedded JS
	python3 ./share/javascript.py -f ./share/javascript.yaml --remove
	# handle systemd services
	cp ./etc/lava-server-gunicorn.service debian/lava-server.lava-server-gunicorn.service
	cp ./etc/lava-logs.service debian/lava-server.lava-logs.service
	cp ./etc/lava-master.service debian/lava-server.lava-master.service
	cp ./etc/lava-publisher.service debian/lava-server.lava-publisher.service
	dh_systemd_enable -p lava-server --name lava-server-gunicorn
	dh_systemd_enable -p lava-server --name lava-logs
	dh_systemd_enable -p lava-server --name lava-publisher
	dh_systemd_enable -p lava-server --name lava-master
	dh_systemd_start -p lava-server --name lava-server-gunicorn
	dh_systemd_start -p lava-server --name lava-logs
	dh_systemd_start -p lava-server --name lava-publisher
	dh_systemd_start -p lava-server --name lava-master

override_dh_fixperms-arch:
	dh_fixperms -X debian/lava-dispatcher/usr/lib/python3/dist-packages/lava_dispatcher/dynamic_vm_keys/lava
	# ssh connections use a shared private key - use the same location for debian & ubuntu
	chmod 0600 debian/lava-dispatcher/usr/lib/python3/dist-packages/lava_dispatcher/dynamic_vm_keys/lava
	chmod 0644 debian/lava-dispatcher/usr/lib/python3/dist-packages/lava_dispatcher/dynamic_vm_keys/lava.pub

override_dh_installinit:
	dh_installinit -Nlava-server

override_dh_compress:
	dh_compress -X.yaml
	$(RM) -r debian/lava/usr/lib
	$(RM) -r debian/lava/usr/bin

override_dh_auto_clean:
	python3 setup.py clean -a
	find . -path '*/__pycache__/*' -delete
	$(RM) -r lava.egg-info setup.cfg .idea/ build/
	$(RM) -r .eggs/ versiontools-*.egg/ doc/build/ doc/html/
	find . -type d -name '__pycache__' -empty -delete
	$(RM) -r dist/
	$(RM) debian/*.service
	$(RM) common-requirements.txt dispatcher-requirements.txt server-requirements.txt
	[ ! -f doc/Makefile ] || make -C doc/ clean
	[ ! -f doc/v1/Makefile ] || make -C doc/v1/ clean
	[ ! -f doc/v2/Makefile ] || make -C doc/v2/ clean
	[ ! -f man/Makefile ] || make -C man/ clean

=== debian/tests/control ===
--- 
+++ 
@@ -3,6 +3,7 @@
  python3-testscenarios, pep8, git, telnet, qemu-system-x86,
  dh-python, python3-sphinx (>= 1.4), python3-setuptools (>= 3), python3-yaml,
  nfs-kernel-server, u-boot-tools, iproute2, tftpd-hpa, python3-pytest,
+ python3-pytest-django,
  schroot, lxc, lava-server, python3-django-testscenarios, python3-tz,
  tftpd-hpa, git, qemu-system-x86, nfs-kernel-server, u-boot-tools
 Restrictions: allow-stderr, needs-root

## lava 2020.05

=== debian/changelog ===
lava (2020.05-1) unstable; urgency=medium

  * LAVA Software 2020.05 release

  [ Antonio Terceiro ]
  * tests: remove references to external files
  * debian: add missing (build-)dependency on libjs-bootstrap
  * debian: adjust to build from the upstream repository
  * debian/tests/lava-dispatcher-host: skip without udev
  * debian/tests: separate management tests from testsuite
  * debian/tests/lava-coordinator: require at least a container
  * debian/control: improve readability of dependency fields
  * debian/control: make lava-dev dependend on libjs-bootstrap as well
  * lava-dispatcher-host: add missing dependency on python3
  * debian/tests/control: add missing test dependency

 -- Remi Duraffort <remi.duraffort@linaro.org>  Thu, 14 May 2020 16:35:36 +0200

lava (2020.04-1) unstable; urgency=medium

  * LAVA Software 2020.04 release
    02694d5d9 legacy schema: relax the constraint on the "command" action
    ff9c3088d submit: validate with both the legacy and new schema
    d867f9f7a FlashUBootUMSAction: allow to use bmaptool
    dae31ca8c Adding new FVP boot method for docker
    1e1301e28 Add unit tests for FVP
    b87efb07d Adding docs for FVP
    00e0b184d FVP Unit test tweaks
    737ec0601 Cleaning up unused imports
    9b85acdec FVP version string and rootfs changes
    0604ee013 Separate fvp device-type for fvp actions
    b362800af Add support for directory substition in fvp boot
    6fb7bce31 Added root_partition to the fvp deploy schema
    41f8df515 Allow root_partition to be 0
    1272615f0 Add in character delay for FVP
    a297544cb FVP Cleanup
    b1bf25873 Moving FVP tests to new location
    acb3ddda0 Ignore FVP SAST Errors
    cdcf88e43 Fix FVP DownloaderAction usage
    82cdd4fcc FVP move internal-pipeline to pipeline
    18541fcd5 Add further unit tests for FVPs overlay usage
    681ea3e72 Revert mkdtemp change for nfs
    168b4b4ba Allow overlay into downloaded ramdisk
    b7d588ddd Apply black formatting after rebase
    43b3f3805 dispatcher: test/docker: expose connection commands to container
    4a389bae0 u-boot-ums: download the layout if present
    107f06f5e Add device template for NXP ls1043ardb
    4a12b696f Rework FVP to work with !1004 overlay format
    6b77e8f90 pylint.sh: also check tests/ directory
    c12ba5845 tests: fix pylink warnings
    e1acc8f65 Fix release script
    d0c6e61c6 Apply black from Sid
    1a4ce798d u-boot-uls: use bmaptool instead of dd
    1749f041c FlashUBootUMSAction: fix bmaptool arguments
    193fab1dd FVP Remove unused imports
    1475a99c2 Use absolute path in untar_file in update_cpio
    d4f03d681 lxc: fix typo in !963
    3b38f2e92 lava_rest_app: support DRF extensions >= 0.6
    71f088341 coverage: bump threshold to 58%
    a8b7a9867 sentry: register the current version
    290148de3 device-types: add imx8mm-ddr4-evk
    2506f7ebf device-types: add imx8mm-evk
    2bf1fbab5 device-types: align imx8mn-ddr4-evk template with other imx8m boards
    9399fdc42 MR comments on FVP changes
    e9de2aeb4 base-uboot: remove unused mkimage_arch in boot action
    8648e39a6 Add device template for NXP lx2160ardb
    98524ef5c docker: fix extra argument handling
    cccecdb99 Further FVP tweaks
    6749ce963 Do not raise a PermissionDenied when the job is already finished.
    232759214 Install missing bmap-tools
    cf26e2618 docker: decrease image size
    d136bb02d FVP Tidyup
    41d9b2a4b FVP Docs and boot tidyup
    41395535b CI: fix error found by pylint
    9b72b9bc9 fvp: update example for FVP 11.9
    0339e7699 boot/fastboot: skip pre-os-command for docker jobs as well
    83a8652e1 qemu-nfs and iso-installer: only add actions if needed
    8f3b95b55 adding support for NXP's imx7d-sdb and imx6q-sabresd boards
    f17fc699a Allow to run nfs jobs without /usr/sbin/exportfs
    d92d84280 Create an abstraction layer for dispatcher config files
    0b6832f2a CI: remove test that can't work when ran as root
    8e6a68b53 docker dispatcher: install ser2net by default
    25c9e281d Fix lxc-info wrong usage.
    3305042e6 Allow device enter into fastbootd when fastboot images.
    4ad892ee9 schema: check test names
    2c07934cd Add authorization mechanism to Worker model
    455f2d206 qemu: fix command line dupliction when retrying
    675108851 lava_dispatcher.utils.docker: encapsulate docker command lines
    d6efabed5 dispatcher: utils/fastboot: port docker calls to utils/docker
    50d2fd37a fixup! lava_dispatcher.utils.docker: encapsulate docker command lines
    85ee2913f CI: fix lava_scheduler_app junit unit tests on debian sid
    3ad390bc3 Fix soft-reboot support
    c099c7be9 rest: filters: add filtering for TestJob description field
    2412e9659 Add a new documentation using mkdocs
    bc804bf04 docs: improve developper documentation
    5c39c88ca docs: fix mkdoc configuration
    ede9b2e93 doc: move contributing to tutorials
    82786fa2c doc: move mkdocs.yml to doc/
    06e48e767 doc: fix readthedoc build
    05af31736 dispatcher: ensure that Job.tmp_dir is never None
    1dd8f1bcf dispatcher: utils: docker: fix readonly flag
    714c07c4c deploy: test_download: split populate tests by scheme
    61e771c67 qemu: do not finialise connection coming from other namespaces
    bcd18bc8e doc: update REST API docs to version 0.2
    aa9aea390 dispatcher: deploy: add supporting for postprocessing images with docker
    a9a392aa8 Boot QEMU from a user-defined docker image
    ac8e4e602 Add new field dispatcher version to Worker model.
    32695c3ae dispatcher: allow to download/decompress zstd images
    10050123e device type file for NXP's s32v234sbc
    9ce39ede2 qemu/docker: do not add /dev/kvm if it's missing
    589ba328a dispatcher: fix Job.mkdtemp with overriden base dir
    0951bfe2f Fix lxc-mocker/lxc-info.
    578b99831 Move encryption settings to django settings instead of the cmd args.
    67df57729 Fix crashes introduced by 578b99831d


## lava 2020.06

=== debian/changelog ===
lava (2020.06-2) unstable; urgency=medium

  * share/postinst.py: skip database setup when PostgreSQL is not running
    (e.g. on chroots, service containers etc)

 -- Antonio Terceiro <antonio.terceiro@linaro.org>  Mon, 29 Jun 2020 17:26:12 -0300

lava (2020.06-1) unstable; urgency=medium

  * LAVA Software 2020.06 release

 -- Remi Duraffort <remi.duraffort@linaro.org>  Wed, 17 Jun 2020 16:43:43 +0200
